import path_setting
from in_common.base_request import BaseRequest


class hospitals_request(BaseRequest):

    def __init__(self):
        self.data = self.api_load(path_setting.HDYAML_CONFIG)

    #医院主页详情
    def detail(self):
        return self.api_send(self.data["detail"])

    #医院主页医生列表
    def doctor(self):
        return self.api_send(self.data["doctor"])


if __name__ == '__main__':
    #打印医院主页详情接口返回
    print(hospitals_request().detail())

    #打印医院主页医生列表接口返回
    print(hospitals_request().doctor())